# Discord Bot

## Table of contents:
* [Installation](#installation)
  * [Setting up](#setup)
* [Commands](#cmd)
  * [Fun](#fun)
  * [Games](#games)
  * [Utility](#utility)
  * [Economy](#economy)
* [Support](#support)

<a name="installation"></a>
## Installation
`npm i ukori-test`

<a name="setup"></a>
## Setting up
### We must have two files
Inside "index.js"
```js
const { ukori } = require('ukori-test');
const { token, prefix, stat, status, statusType, mongoPath} = require('./config.json');
ukori(token, prefix, stat, status, statusType, mongoPath);

```
Inside a "config.json" file:
```
{
  "token": "<token>"",
  "prefix": "t.",
  "stat": "online",
  "status":["Prefix is: t."]
  "statusType": "PLAYING",
  "mongoPath": "<login>"
}
```

<a name="cmd"></a>
## Commands(More coming soon)

<a name="fun"></a>
### Fun
`[prefix]howgay`
Calculates how gay you are (Don't take it serious)

`[prefix]guess`
Guess a number between 1-10

`[prefix]quote`
Sends an inspirational quote

`[prefix]chatbox`
Talk with the bot

`[prefix]8ball`
Ask any question and it will be answered

`[prefix]weather`
Specify a city and will show the weather

`[prefix]meme`
Random Memes off of r/meme

`[prefix]hug`
Hug yourself or a friend in need

`[prefix]coinflip`
Picks between Heads or Tails

`[prefix]level`
Tells you your current level and XP

`[prefix]leaderboard`
Shows everyone's current level and XP

<a name="games"></a>
### Games
`[prefix]hangman`
Play hangman with your friends

`[prefix]trivia`
Test out your trivial skills

`[prefix]tictactoe`
Specify a user to play tictactoe

`[prefix]rock-paper-scissors`
Play rock, paper, scissors with the bot


<a name="utility"></a>
### Utility
`[prefic]help`
Shows you all the commands available

`[prefix]setwelcome`
Sets up the welcome channel

`[prefix]ping`
Current ping of bot

`[prefix]kick`
Kicks specified User(reason is optional)

`[prefix]ban`
Bans specified User(reason is optional)

`[prefix]addrole`
Adds role to specified user

`[prefix]removerole`
Revokes role from specified user

`[prefix]clear`
Clears 1-100 messages at once

`[prefix]nickname`
Set your nickanme to anything

`[prefix]nickname-reset`
Resets your nickname

`[prefix]members`
Shows all the members and can skip though pages

`[prefix]first-message`
Shows you the first message sent in that channel

<a name="Economy"></a>
### Economy

`[prefix]balance`
Check how many coins you have in your wallet

`[prefix]shop`
A fun way to spend your coins

`[prefix]inventory`
Check the items you have bought

`[prefix]buy`
Buy items in the shop

`[prefix]daily`
Get your daily coins

`[prefix]work`
Work to get more coins

`[prefix]beg`
Beg to get more coins

`[prefix]gamble`
Have the chance to double your bet or lose it all

`[prefix]pay`
Lend or gift any of your friends some money

<a name="support"></a>
## Support
Have any suggestions? 
Contact me on Discord at Kristian#9318