const Discord = require('discord.js')

module.exports = {
    name : 'clear',
    description: "Deletes the amount of messages you input",

    async run (client, message, args) {
        if(!args[0]) return message.channel.send('Please specify a number of messages to delete ranging from 1 - 99')
        if(isNaN(args[0])) return message.channel.send('Numbers are only allowed')
        if(parseInt(args[0]) > 100) return message.channel.send('The max amount of messages that I can delete at once is 100')
        await message.channel.bulkDelete(parseInt(args[0]) + 2)
            .catch(error => console.log(error))
        message.channel.send('Deleted ' + args[0]  + " messages.")
    }
}