const Discord = require('discord.js');

module.exports = {
    name: 'gamble',
    async run(client, message, args) {
        if(!args[0]) return message.reply(`Please specify the amount you want to gamble`);

        if(isNaN(args[0])) return message.reply(`Must be a number`)

        const amount = parseInt(args[0]);

        if(await client.bal(message.author.id) < amount) return message.reply(`You do not have this amount of coins`)

        function random() {
          const num = Math.floor(Math.random() * 2);
          return num === 1
        };

        if(random() === true ) {
          const win = amount * 2;
          message.channel.send(`Congrats, you have won ${win} coins`)
          client.add(message.author.id, win)
        } else {
          message.channel.send(`Sadly, you have lost ${amount} coins`)
          client.remove(message.author.id, amount)
        }
    }
};