const Discord = require('discord.js')


module.exports = {
    name: "help",
    description: "simple help command",

    async run (client, message, args) {

        const help = new Discord.MessageEmbed()
        .setColor('#6f362d')
        .setTitle(`Commands`)
        .setAuthor('Command List', message.author.displayAvatarURL())

        .addFields({
            name: '**About this bot**',
            value: 'This bot is a fun way to spend time with friends and to enjoy your time in discord!',
        },
        {
            name: '😀 **Fun**',
            value: '`howgay` | `guess` | `chatbot` | `8ball` | `weather` | `meme` | `hug` | `coinflip` | `level` | `leaderboard` | `quote`',        
        },
        {
            name: '🎮 **Games**',
            value: '`hangman` | `trivia` | `tictactoe` | `rock-paper-scissors`',
        },
        
        {
            name: '⚙ **Utility**',
            value:'`setwelcome` | `ping` | `kick` | `ban` | `addrole` | `removerole` | `clear` | `nickname` | `nickname-reset` | `members` | `first-message`',
        },
        {
            name: '💵 **Economy**',
            value: '`balance` | `daily` | `work` | `inventory` | `beg` | `gamble` | `shop` | `pay` | `buy` | `inventory` ',
        },)

        message.channel.send(help)
    }
}